org.apache.poi.ss.formula

## Enum DataValidationEvaluator.OperatorEnum

- java.lang.Object
- - java.lang.Enum<DataValidationEvaluator.OperatorEnum>
  - - org.apache.poi.ss.formula.DataValidationEvaluator.OperatorEnum

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<DataValidationEvaluator.OperatorEnum>
  Enclosing class:
    DataValidationEvaluator

      public static enum DataValidationEvaluator.OperatorEnum
      extends java.lang.Enum<DataValidationEvaluator.OperatorEnum>

  Not calling it OperatorType to avoid confusion for now with DataValidationConstraint.OperatorType. Definition order matches OOXML type ID indexes

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BETWEEN`
    `EQUAL`
    `GREATER_OR_EQUAL`
    `GREATER_THAN`
    `LESS_OR_EQUAL`
    `LESS_THAN`
    `NOT_BETWEEN`
    `NOT_EQUAL`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static DataValidationEvaluator.OperatorEnum` | `IGNORED`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract boolean` | `isValid(java.lang.Double cellValue, java.lang.Double v1, java.lang.Double v2)` Evaluates comparison using operator instance rules
    `static DataValidationEvaluator.OperatorEnum` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DataValidationEvaluator.OperatorEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BETWEEN

          public static final DataValidationEvaluator.OperatorEnum BETWEEN

    - #### NOT_BETWEEN

          public static final DataValidationEvaluator.OperatorEnum NOT_BETWEEN

    - #### EQUAL

          public static final DataValidationEvaluator.OperatorEnum EQUAL

    - #### NOT_EQUAL

          public static final DataValidationEvaluator.OperatorEnum NOT_EQUAL

    - #### GREATER_THAN

          public static final DataValidationEvaluator.OperatorEnum GREATER_THAN

    - #### LESS_THAN

          public static final DataValidationEvaluator.OperatorEnum LESS_THAN

    - #### GREATER_OR_EQUAL

          public static final DataValidationEvaluator.OperatorEnum GREATER_OR_EQUAL

    - #### LESS_OR_EQUAL

          public static final DataValidationEvaluator.OperatorEnum LESS_OR_EQUAL

  - ### Field Detail

    - #### IGNORED

          public static final DataValidationEvaluator.OperatorEnum IGNORED

  - ### Method Detail

    - #### values

          public static DataValidationEvaluator.OperatorEnum[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DataValidationEvaluator.OperatorEnum c : DataValidationEvaluator.OperatorEnum.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DataValidationEvaluator.OperatorEnum valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### isValid

          public abstract boolean isValid(java.lang.Double cellValue,
                                          java.lang.Double v1,
                                          java.lang.Double v2)

      Evaluates comparison using operator instance rules
      Parameters:
        `cellValue` - won't be null, assumption is previous checks handled that
        `v1` - if null, value assumed invalid, anything passes, per Excel behavior
        `v2` - null if not needed. If null when needed, assume anything passes, per Excel behavior
      Returns:
        true if the comparison is valid

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.